com.io7m.jcanephora.core

## Enum JCGLTextureFilterMinification

- java.lang.Object
- - java.lang.Enum<JCGLTextureFilterMinification>
  - - com.io7m.jcanephora.core.JCGLTextureFilterMinification

- All Implemented Interfaces:
    Serializable, Comparable<JCGLTextureFilterMinification>

      public enum JCGLTextureFilterMinification
      extends Enum<JCGLTextureFilterMinification>

  OpenGL texture minification filter specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TEXTURE_FILTER_LINEAR` Bilinear interpolation.
    `TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR` Chooses the two mipmaps that most closely match the size of the pixel being textured and uses the `TEXTURE_FILTER_LINEAR` criterion (a weighted average of the texture elements that are closest to the specified texture coordinates) to produce a texture value from each mipmap.
    `TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST` Chooses the mipmap that most closely matches the size of the pixel being textured and uses the `TEXTURE_FILTER_LINEAR` criterion (a weighted average of the four texture elements that are closest to the specified texture coordinates) to produce a texture value.
    `TEXTURE_FILTER_NEAREST` Nearest-neighbour interpolation.
    `TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR` Chooses the two mipmaps that most closely match the size of the pixel being textured and uses the `TEXTURE_FILTER_NEAREST` criterion (the texture element closest to the specified texture coordinates ) to produce a texture value from each mipmap.
    `TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST` Chooses the mipmap that most closely matches the size of the pixel being textured and uses the `TEXTURE_FILTER_NEAREST` criterion (the texture element closest to the specified texture coordinates) to produce a texture value.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLTextureFilterMinification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLTextureFilterMinification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXTURE_FILTER_LINEAR

          public static final JCGLTextureFilterMinification TEXTURE_FILTER_LINEAR

      Bilinear interpolation.

    - #### TEXTURE_FILTER_NEAREST

          public static final JCGLTextureFilterMinification TEXTURE_FILTER_NEAREST

      Nearest-neighbour interpolation.

    - #### TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST

          public static final JCGLTextureFilterMinification TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST

      Chooses the mipmap that most closely matches the size of the pixel being textured and uses the `TEXTURE_FILTER_NEAREST` criterion (the texture element closest to the specified texture coordinates) to produce a texture value.

    - #### TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST

          public static final JCGLTextureFilterMinification TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST

      Chooses the mipmap that most closely matches the size of the pixel being textured and uses the `TEXTURE_FILTER_LINEAR` criterion (a weighted average of the four texture elements that are closest to the specified texture coordinates) to produce a texture value.

    - #### TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR

          public static final JCGLTextureFilterMinification TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR

      Chooses the two mipmaps that most closely match the size of the pixel being textured and uses the `TEXTURE_FILTER_NEAREST` criterion (the texture element closest to the specified texture coordinates ) to produce a texture value from each mipmap. The final texture value is a weighted average of those two values.

    - #### TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR

          public static final JCGLTextureFilterMinification TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR

      Chooses the two mipmaps that most closely match the size of the pixel being textured and uses the `TEXTURE_FILTER_LINEAR` criterion (a weighted average of the texture elements that are closest to the specified texture coordinates) to produce a texture value from each mipmap. The final texture value is a weighted average of those two values.

  - ### Method Detail

    - #### values

          public static JCGLTextureFilterMinification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLTextureFilterMinification c : JCGLTextureFilterMinification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLTextureFilterMinification valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com